#eq
{
	border: 2px solid #888;
	border-radius: 3px;
	font-family: "Century Gothic", Verdana, Arial, Helvetica, sans-serif;
}

#eqfunc
{
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
}

#eqfuncbox
{
	text-align: center !important;
}

#copyright
{
	font-size: 13px;
	margin: 16px 0 0 0;
	color: #555;
	font-weight: normal;
	text-align: center;
}

#eqctrl
{
	padding: 5px 10px 0 10px;
	border-top: 1px solid #888;
	border-bottom-left-radius: 8px;
	border-bottom-right-radius: 8px;
}

#eqtbl
{

}

.eqctrlline
{
	display: block;
	height: 25px !important;
	white-space: nowrap;
}

.eqtextctrl
{
	display: inline-block;
	text-align: right;
	padding: 2px 5px 2px 0;
	font-size: 13px;
	font-weight: normal;
	color: black;
}

.eqnumctrl, .eqnumctrlw, .eqnumctrldiv0
{
	display: inline-block;
	text-align: center;
	padding: 2px 1px;
	margin: 0 1px;
	font-size: 14px;
	font-weight: normal;
	color: black;
	background-color: #f8f8f8;
	border: 1px solid #777;
	border-radius: 3px;
}

.eqnumctrl
{
	width: 25px;
}

.eqnumctrlw
{
	width: 30px;
}

.eqnumctrldiv0
{
	width: 20px;
	color: #999;
	background-color: #ddd;
}

.eqnumctrl:hover, .eqnumctrlw:hover
{
	background-color: #555;
	color: white;
	cursor: pointer;
}

#ctrlinner
{
	display: flex;
	margin-bottom: 15px;
}

#radctrl
{
	display: inline-block;
	width: 190px;
	line-height: 1.5em;
}

.opbtn, .opbtnl
{
	box-sizing: border-box;
	font-weight: normal;
	display: inline-block;
	background-color: #eee;
	border: 1px solid #777;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
	color: black;
	width: 80px;
	height: 43px;
	margin: 2px;
	text-align: center;
	cursor: pointer;
}

.opbtn
{
	font-size: 26px;
	line-height: 1.4em;
}

.opsel
{
	background-color: yellow;
	border-color: red;
}

.opbtnl
{
	font-size: 45px;
	line-height: 0.9em;
}

.opchr
{
	font-style: italic;
	font-family: "Times New Roman", Times, serif;
	margin-left: 3px;
}

.opbtn:hover, .opbtnl:hover
{
	color: red;
	background-color: #cfc;
}

#eqvalcontainer
{
	display: inline-block;
	vertical-align: top;
}

.eqlrctrl
{
	display: inline-block;
	width: 30px;
	height: 30px;
	background-color: #eee;
	border: 1px solid #777;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
	color: black;
	z-index: 100;
}

#leftctrl
{
	margin: 5px 20px 0 5px;
}

#rightctrl
{
	margin: 5px 0 0 20px;
}

.eqlrctrl:hover
{
	cursor: pointer;
	background-color: #cfc;
}

.eqlrctrl:hover .eqlrinner
{
	border-color: red;
	z-index: 200 !important;
}

#eqleft
{
	width: 13px;
	height: 13px;
	transform: rotate(45deg);
	border-left: 3px solid #222;
	border-bottom: 3px solid #222;
	position: relative;
	top: 7px;
	left: 10px;
}

#eqright
{
	width: 13px;
	height: 13px;
	transform: rotate(45deg);
	border-right: 3px solid #222;
	border-top: 3px solid #222;
	position: relative;
	top: 7px;
	left: 3px;
}

#rngctrl
{
	display: inline-block;
_border: 1px dotted red;
}

input[type=range]
{
	padding: 0;
	margin: 0;
}

#vnum_show
{
	display: none !important;
}

#valctrl
{
	display: inline-block;
	font-size: 25px;
	color: black;
	margin-left: 10px;
	text-align: center;
	padding-top: 5px;
	height: 30px;
_border: 1px dotted blue;
}

#usectrl
{
	box-sizing: border-box;
	padding: 10px;
	background-color: #eee;
	border: 1px solid #777;
	box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
	color: black;
	margin: 5px 0 0 10px;
	height: 82px !important;
}

#usectrl:hover
{
	cursor: pointer;
	color: red;
	background-color: #cfc;
}

#usearrow
{
	width: 0;
	height: 0;
	border-top: 30px solid transparent;
	border-left: 40px solid black;
	border-bottom: 30px solid transparent;
}

#moverctrl
{
	text-align: center;
	height: 16px;
	font-size: 14px;
	padding-bottom: 8px;
	color: black;
}

#debug
{
	text-align: center;
	font-size: 12px;
	color: black;
}

.typeset
{
	margin: 0;
	padding: 0;
	font-size: 200%;
	text-align: left;
	color: black;
}

.eqtext
{
	font-size: 16px;
	color: #040;
	font-weight: normal;
}

.eqsteptextl, .eqsteptextr
{
	font-size: 15px;
	font-weight: normal;
	color: #555;
	font-style: italic;
	padding: 0 10px;
}

.eqsteptextl
{
	text-align: left;
}

.eqsteptextl, .eqsteptextr
{
	text-align: right;
}

#eqbuttons
{
	margin: 5px 0;
	display: flex;
	justify-content: space-between;
}

#eqbuttons input
{
	font-size: 18px !important;
}

/* **** User Equation Input **** */

#udiv, #udivx, #ndiv
{
	position: absolute;
	border: 1px solid #444;
	border-radius: 9px;
	box-shadow: 2px 2px 6px #777;
	padding: 8px;
	color: black;
}

#udiv, #udivx
{
	width: 480px;
	height: 180px;
}

#ndiv
{
	width: 660px;
	height: 250px;
	z-index: 2000 !important;
}

#udiv
{
	background: url("/images/site/eqbsetupbg.png") 13px 51px no-repeat #eee;
}

#udivx
{
	background: url("/images/site/eqbsetupxbg.png") 170px 105px no-repeat #eee;
}

#ndiv
{
	background-color: #eee;
}

#ndiv h2
{
	font-size: 17px;
	margin: 0 0 5px 0;
	padding: 0;
	color: black;
	font-weight: bold;
}

#ndiv h3
{
	font-size: 14px;
	margin: 0 0 5px 0;
	padding: 0;
	color: black;
	font-weight: bold;
}

#nwcreate, #nwjoin
{
	background-color: #f8f8f8;
	box-shadow: inset 2px 2px 4px #bbb;
	float: left;
	border: 1px solid #999;
	border-radius: 7px;
	padding: 5px;
	height: 130px;
}

#nwcreate
{
	width: 300px;
}

#nwjoin
{
	width: 320px;
	margin-left: 10px;
}

#ndiv p
{
	font-size: 13px;
	font-weight: normal;
}

#nwcreate p, #nwjoin p
{
	line-height: 1.8em;
}

.nwdiv, .nwdivr
{
	font-size: 14px;
	font-weight: normal;
	padding: 2px;
}

.nwdivr
{
	text-align: right;
}

#nwid
{
	font-weight: bold;
	font-size: 16px;
}

#ndiv .eqinfo
{
	font-weight: bold;
	font-size: 14px;
	color: blue;
}

#joinstatus
{
	font-weight: bold;
	color: #800;
}

#joinlist
{
	font-size: 12px;
	font-weight: normal;
	color: #666;
}

#countdown
{
	text-align: center;
	font-size: 50px;
}

#setinstr
{
	margin: 5px 5px 0 3px;
	font-size: 13px;
	font-weight: normal;
}

#eqerror
{
	color: red;
	position: absolute;
	top: 135px;
	left: 10px;
	font-size: 13px;
	font-weight: normal;
}

#scoreval
{
	font-size: 30px;
	font-weight: bold;
	color: #069;
	text-shadow: 2px 2px 4px #444;
}

#eqscoreresults
{
	font-size: 19px;
	font-weight: bold;
	color: black;
	margin-bottom: 8px;
}

.eqscores, .eqscoresnon
{
	font-size: 13px;
	font-weight: normal;
	margin: 0 0 3px 0;
}

.eqscoresnon
{
	color: #777;
	font-style: italic;
}

.topline
{
	margin-top: 5px;
	padding-top: 5px;
	border-top: 1px solid #333;
}

#eqscorefirst
{
	font-size: 16px;
	font-weight: bold;
	color: #080;
}

#eqscoresecond
{
	font-size: 14px;
	font-weight: bold;
	color: #260;
}

#eqscorethird
{
	font-size: 13px;
	font-weight: bold;
	color: #440;
}

.MathJax_Display
{
	text-align: center !important;
}

/* **** Alternative Range style **** */

input[type=range]
{
	-webkit-appearance: none;
	margin: 18px 0;
	width: 100%;
}

input[type=range]:focus
{
	outline: none;
}

input[type=range]::-webkit-slider-runnable-track
{
	width: 100%;
	height: 10px;
	cursor: pointer;
	animate: 0.2s;
	background: #3071a9;
	border-radius: 1.3px;
	border: 1px solid black;
	margin-top: -20px;
}

input[type=range]::-webkit-slider-thumb
{
	box-shadow: inset -1px -1px 1px rgba(0, 0, 0, 0.5), 0 0 1px rgba(0, 0, 0, 0.5);
	border: 1px solid black;
	height: 26px;
	width: 12px;
	border-radius: 6px;
	background: white;
	cursor: pointer;
	-webkit-appearance: none;
	margin-top: -8px;
}

input[type=range]:focus::-webkit-slider-runnable-track
{
	background: #38b;
}

input[type=range]::-moz-range-track
{
	width: 100%;
	height: 7px;
	cursor: pointer;
	animate: 0.2s;
	background: #38b;
	border-radius: 1px;
	border: 1px solid black;
	margin-bottom: -10px;
}

input[type=range]::-moz-range-thumb
{
	box-shadow: inset -1px -1px 1px rgba(0, 0, 0, 0.5), 0 0 1px rgba(0, 0, 0, 0.5);
	border: 1px solid black;
	height: 26px;
	width: 10px;
	border-radius: 6px;
	background: white;
	cursor: pointer;
}

input[type=range]::-ms-track
{
	width: 100%;
	height: 9px;
	cursor: pointer;
	animate: 0.2s;
	background: transparent;
	border-color: transparent;
	border-width: 16px 0;
	color: transparent;
	padding: 0 !important;
}

input[type=range]::-ms-fill-lower
{
	background: #38b;
	border: 1px solid black;
	border-radius: 2px;
}

input[type=range]::-ms-fill-upper
{
	background: #38b;
	border: 1px solid black;
	border-radius: 2px;
}

input[type=range]::-ms-thumb
{
	box-shadow: inset -1px -1px 1px rgba(0, 0, 0, 0.5), 0 0 1px rgba(0, 0, 0, 0.5);
	border: 1px solid black;
	height: 26px;
	width: 10px;
	border-radius: 6px;
	background: white;
	cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower
{
	background: #38b;
}

input[type=range]:focus::-ms-fill-upper
{
	background: #38b;
}